| LIRC libraries LinuxInfraredRemoteControl

Data Fields
decode_ctx_t Struct Reference

`#include <ir_remote_types.h>`

## Data Fields
ir_code | code
ir_code | pre
ir_code | post
int | repeat_flag
lirc_t | max_remaining_gap
lirc_t | min_remaining_gap

## Detailed Description

State describing code, pre, post + gap and repeat state.

Definition at line 154 of file ir_remote_types.h.

## Field Documentation

## § code

ir_code decode_ctx_t::code

Code part, matched to code defintion.

Definition at line 155 of file ir_remote_types.h.

## § max_remaining_gap

lirc_t decode_ctx_t::max_remaining_gap

Estimated max time of trailing gap.

Definition at line 159 of file ir_remote_types.h.

## § min_remaining_gap

lirc_t decode_ctx_t::min_remaining_gap

Estimated min time of trailing gap.

Definition at line 160 of file ir_remote_types.h.

## § post

ir_code decode_ctx_t::post

post data, sent after code.

Definition at line 157 of file ir_remote_types.h.

## § pre

ir_code decode_ctx_t::pre

pre data, before code.

Definition at line 156 of file ir_remote_types.h.

## § repeat_flag

int decode_ctx_t::repeat_flag

True if code is a repeated one.

Definition at line 158 of file ir_remote_types.h.

The documentation for this struct was generated from the following file:

- /home/mk/tmp/lirc/lib/ir_remote_types.h (085323c 2016-01-06 15:32:54 +0100)